Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovySystemRegistry

- org.apache.groovy.groovysh.jline.GroovySystemRegistry

-     class GroovySystemRegistry
      extends org.jline.console.impl.SystemRegistryImpl

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySystemRegistry(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isCommandOrScript(String command)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.console.impl.SystemRegistryImpl` | `org.jline.console.impl.SystemRegistryImpl#addCompleter(org.jline.reader.Completer), org.jline.console.impl.SystemRegistryImpl#cleanUp(), org.jline.console.impl.SystemRegistryImpl#close(), org.jline.console.impl.SystemRegistryImpl#commandAliases(), org.jline.console.impl.SystemRegistryImpl#commandDescription(java.util.List), org.jline.console.impl.SystemRegistryImpl#commandDescription(org.jline.console.CmdLine), org.jline.console.impl.SystemRegistryImpl#commandInfo(java.lang.String), org.jline.console.impl.SystemRegistryImpl#commandNames(), org.jline.console.impl.SystemRegistryImpl#compileCompleters(), org.jline.console.impl.SystemRegistryImpl#completer(), org.jline.console.impl.SystemRegistryImpl#consoleEngine(), org.jline.console.impl.SystemRegistryImpl#consoleOption(java.lang.String), org.jline.console.impl.SystemRegistryImpl#consoleOption(java.lang.String, java.lang.Object), org.jline.console.impl.SystemRegistryImpl#equals(java.lang.Object), org.jline.console.impl.SystemRegistryImpl#execute(java.lang.String), org.jline.console.impl.SystemRegistryImpl#getClass(), org.jline.console.impl.SystemRegistryImpl#getPipeNames(), org.jline.console.impl.SystemRegistryImpl#groupCommandsInHelp(boolean), org.jline.console.impl.SystemRegistryImpl#hasCommand(java.lang.String), org.jline.console.impl.SystemRegistryImpl#hashCode(), org.jline.console.impl.SystemRegistryImpl#initialize(java.io.File), org.jline.console.impl.SystemRegistryImpl#invoke(java.lang.String, [Ljava.lang.Object;), org.jline.console.impl.SystemRegistryImpl#invoke(org.jline.console.CommandRegistry$CommandSession, java.lang.String, [Ljava.lang.Object;), org.jline.console.impl.SystemRegistryImpl#isCommandAlias(java.lang.String), org.jline.console.impl.SystemRegistryImpl#isCommandOrScript(java.lang.String), org.jline.console.impl.SystemRegistryImpl#isCommandOrScript(org.jline.reader.ParsedLine), org.jline.console.impl.SystemRegistryImpl#name(), org.jline.console.impl.SystemRegistryImpl#notify(), org.jline.console.impl.SystemRegistryImpl#notifyAll(), org.jline.console.impl.SystemRegistryImpl#register(java.lang.String, org.jline.console.CommandRegistry), org.jline.console.impl.SystemRegistryImpl#rename(org.jline.console.impl.SystemRegistryImpl$Pipe, java.lang.String), org.jline.console.impl.SystemRegistryImpl#setCommandRegistries([Lorg.jline.console.CommandRegistry;), org.jline.console.impl.SystemRegistryImpl#setConsoleOption(java.lang.String, java.lang.Object), org.jline.console.impl.SystemRegistryImpl#setGroupCommandsInHelp(boolean), org.jline.console.impl.SystemRegistryImpl#setScriptDescription(java.util.function.Function), org.jline.console.impl.SystemRegistryImpl#terminal(), org.jline.console.impl.SystemRegistryImpl#toString(), org.jline.console.impl.SystemRegistryImpl#trace(boolean, java.lang.Throwable), org.jline.console.impl.SystemRegistryImpl#trace(java.lang.Throwable), org.jline.console.impl.SystemRegistryImpl#wait(), org.jline.console.impl.SystemRegistryImpl#wait(long), org.jline.console.impl.SystemRegistryImpl#wait(long, int)`

- - ### Constructor Detail

    - #### GroovySystemRegistry(org.jline.reader.Parser parser, org.jline.terminal.Terminal terminal, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath)

  - ### Method Detail

    - #### @Override
      boolean isCommandOrScript(String command)